PETSc version 3.15.5
Fix/Edit manual page

# PCGAMGSetNSmooths

Set number of smoothing steps (1 is typical)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetNSmooths(PC pc, PetscInt n)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context

### Options Database Key

| -pc_gamg_agg_nsmooths <nsmooth, default=1> | - number of smoothing steps to use with smooth aggregation

### See Also

()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/agg.c

### Implementations

PCGAMGSetNSmooths_AGG in src/ksp/pc/impls/gamg/agg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages